Pom of net.java.dev.activeobjects:activeobjects-parent:0.27.0

Back to net.java.dev.activeobjects:activeobjects-parent:0.27.0

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- in order to deploy to central via Sonatype, we inherit their POM -->
    <parent>
        <groupId>org.sonatype.oss</groupId>
        <artifactId>oss-parent</artifactId>
        <version>9</version>
    </parent>

    <groupId>net.java.dev.activeobjects</groupId>
    <artifactId>activeobjects-parent</artifactId>
    <version>0.27.0</version>
    <packaging>pom</packaging>

    <name>Active Objects - Parent POM</name>
    <description>ActiveObjects is an intuitive, pure-Java ORM. AO is designed from the ground up to be extremely simple
        and easy to use from an API standpoint.
    </description>
    <url>http://activeobjects.java.net/</url>
    <inceptionYear>2007</inceptionYear>

    <licenses>
        <license>
            <name>Apache License 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
            <distribution>repo</distribution>
            <comments>A business-friendly OSS license</comments>
        </license>
    </licenses>

    <scm>
        <connection>scm:git:git@bitbucket.org:activeobjects/ao.git</connection>
        <developerConnection>scm:git:git@bitbucket.org:activeobjects/ao.git</developerConnection>
        <url>https://bitbucket.org/activeobjects/ao/src</url>
      <tag>v0.27.0</tag>
  </scm>

    <developers>
        <developer>
            <id>djspiewak</id>
            <name>Daniel Spiewak</name>
            <roles>
                <role>Creator</role>
            </roles>
        </developer>
        <developer>
            <id>sleberrig</id>
            <name>Samuel Le Berrigaud</name>
            <email>sam(at)leberrigaud(dot)org</email>
            <timezone>+1</timezone>
        </developer>
        <developer>
            <id>mrdon</id>
            <name>Don Brown</name>
            <timezone>+10</timezone>
        </developer>
        <developer>
            <id>ahempel</id>
            <name>Adrian Hempel</name>
            <timezone>+10</timezone>
        </developer>
    </developers>

    <issueManagement>
        <system>JIRA</system>
        <url>https://ecosystem.atlassian.net/browse/AO</url>
    </issueManagement>

    <modules>
        <module>activeobjects-core</module>
        <module>activeobjects-builder</module>
        <module>activeobjects-test</module>
        <module>activeobjects-integration-test</module>
        <module>activeobjects-integration-test-model</module>
        <module>activeobjects-ant-task</module>
        <module>activeobjects</module>
        <module>activeobjects-benchmark</module>
        <module>activeobjects-integration-profiles</module>
    </modules>

    <properties>
        <slf4j.version>1.5.11</slf4j.version>
        <junit.version>4.11</junit.version>
        <mockito.version>1.9.5</mockito.version>
        <hamcrest.version>1.3</hamcrest.version>
        <c3p0.version>0.9.1.1</c3p0.version>
        <dbcp.version>1.4</dbcp.version>
        <proxool.version>0.9.1</proxool.version>
        <dbpool.version>4.9.3-jdbc3</dbpool.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.apache.lucene</groupId>
                <artifactId>lucene-core</artifactId>
                <version>2.2.0</version>
                <optional>true</optional>
            </dependency>
            <dependency>
                <groupId>org.apache.lucene</groupId>
                <artifactId>lucene-queries</artifactId>
                <version>2.2.0</version>
                <optional>true</optional>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mockito</groupId>
                <artifactId>mockito-core</artifactId>
                <version>${mockito.version}</version>
            </dependency>
            <dependency>
                <groupId>org.hamcrest</groupId>
                <artifactId>hamcrest-core</artifactId>
                <version>${hamcrest.version}</version>
            </dependency>
            <dependency>
                <groupId>org.hamcrest</groupId>
                <artifactId>hamcrest-library</artifactId>
                <version>${hamcrest.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- dependencies shared across all modules -->
    <dependencies>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>11.0.2</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>${slf4j.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.6</version>
        </dependency>

        <!--
            for tests
        -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <version>${slf4j.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
            <version>1.2.16</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>2.1</version>
                    <configuration>
                        <source>1.6</source>
                        <target>1.6</target>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-jar-plugin</artifactId>
                    <version>2.4</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-shade-plugin</artifactId>
                    <version>1.4</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <!-- need 2.10 to run individual test methods -->
                    <version>2.12.4</version>
                    <dependencies>
                        <dependency>
                            <groupId>org.apache.maven.surefire</groupId>
                            <artifactId>surefire-junit47</artifactId>
                            <version>2.12.4</version>
                        </dependency>
                    </dependencies>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-source-plugin</artifactId>
                    <version>2.1.1</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-enforcer-plugin</artifactId>
                    <version>1.0-beta-1</version>
                </plugin>
                <plugin>
                    <groupId>org.leberrigaud.maven.plugins</groupId>
                    <artifactId>database-maven-plugin</artifactId>
                    <version>0.10</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-release-plugin</artifactId>
                    <version>2.5</version>
                    <configuration>
                        <autoVersionSubmodules>true</autoVersionSubmodules>
                        <tagNameFormat>v@{project.version}</tagNameFormat>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-enforcer-plugin</artifactId>
                <executions>
                    <execution>
                        <id>enforce-maven</id>
                        <goals>
                            <goal>enforce</goal>
                        </goals>
                        <configuration>
                            <rules>
                                <requireMavenVersion>
                                    <message>You must use maven 2.1.0 or above to build Active Objects</message>
                                    <version>[2.1.0,)</version>
                                </requireMavenVersion>
                                <requireJavaVersion>
                                    <message>Active Objects requires Java 6 or later to be built.</message>
                                    <version>[1.6,)</version>
                                </requireJavaVersion>
                            </rules>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>